#! /bin/bash

if [[ ! -d "build/" ]]
then
	mkdir build
fi

sudo dnf install -y cmake
sudo dnf install -y wayland-devel libxkbcommon-devel wayland-protocols-devel extra-cmake-modules
sudo dnf install -y glew-devel glm-devel

# if doing shader development, disable the cache to make sure changes take affect
rm -rf /tmp/fggl/

pushd build
cmake ..
make
popd

pushd demo
../build/demo/FgglDemo > /tmp/fggl.log 2>&1 &
popd
